Bug 640117 - [RHEL4.5] select() cannot return in UDP/UNIX domain socket [rhel-4.8.z]
Summary: [RHEL4.5] select() cannot return in UDP/UNIX domain socket [rhel-4.8.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.8
Hardware: All
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Don Howard
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 546251
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-04 21:04 UTC by Benjamin Kahn
Modified: 2010-10-21 12:26 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
For UDP/UNIX domain sockets, due to insufficient memory barriers in the network code, a process sleeping in select() may have missed notifications about new data. In rare cases, this bug may have caused a process to sleep forever.
Clone Of:
Environment:
Last Closed: 2010-10-19 18:48:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0779 0 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2010-10-19 18:47:53 UTC

Description Benjamin Kahn 2010-10-04 21:04:46 UTC
This bug has been copied from bug #546251 and has been proposed
to be backported to 4.8 z-stream (EUS).

Comment 3 Don Howard 2010-10-05 21:23:05 UTC
A patch for this issue has been included in kernel 2.6.9-89.31.1.EL.

Comment 5 errata-xmlrpc 2010-10-19 18:48:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0779.html

Comment 6 Martin Prpič 2010-10-21 12:26:28 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
For UDP/UNIX domain sockets, due to insufficient memory barriers in the network code, a process sleeping in select() may have missed notifications about new data. In rare cases, this bug may have caused a process to sleep forever.


Note You need to log in before you can comment on or make changes to this bug.